Certificat Let's Encrypt invalide ou expiré

Contexte


Si vous utilisez des certificats SSL (ou l'un des composants de votre site) provenant de Let's Encrypt, vous pouvez avoir selon votre installation avoir des messages d'erreur "SSL" au niveau du logiciel E-connecteur.

Le logiciel E-connecteur s'assure de la validité du certificat afin de veiller à la sécurité des échanges de données. Or, des certificats racines de Let's Encrypt ont expiré, sans renouvellement au 30/09/21 16 h (voir les détails techniques ici).
Cela peut limiter la compatibilité avec certains équipements.

Solution 1
Un changement de certificat SSL peut résoudre cela au niveau de votre hébergement, en mettant à jour le certificat racine ayant une date d'expiration dans le futur. Votre hébergeur peut intervenir à ce niveau.
 C'est la solution que Vaisonet recommande afin que votre site reste disponible pour vos clients, car cela n'impacte pas seulement nos logiciels. Le trafic sur votre site peut en être impacté.

Quand vous consultez votre site avec les navigateurs Chrome, Firefox, vous n'utilisez pas ce certificat racine, vous pouvez donc ne pas voir ce problème.

Solution 2

Changer de fournisseur de certificat SSL. La plupart des hébergeurs proposent Let's Encrypt car il est gratuit, mais d'autres fournisseurs ont des certificats SSL plus efficaces. Par exemple, OVH propose aussi les certificats de SECTIGO qui fonctionnent très bien (voir https://www.ovhcloud.com/fr/web-hosting/options/ssl/).

Alternative
C'est une solution que l'on déconseille, mais vous pouvez, au niveau de la configuration E-connecteur, onglet E-commerce, désactiver la vérification SSL


                        

Cette réponse a-t-elle été utile ? Oui Non

Envoyer vos commentaires
Nous sommes désolés de ne pas avoir pu répondre à votre question. Aidez-nous à améliorer cet article grâce à vos commentaires.